wxRuby Documentation Home

# Wx::DCClipper

This is a small helper class which sets the specified DC to its constructor
clipping region and then automatically destroys it in its destructor. Using
it ensures that an unwanted clipping region is not left set on the DC.

## Derived from

No base class

## See also

DC

## Methods

- DCClipper.new

### DCClipper.new

DCClipper.new(%(arg-type)DC% dc, Integer x, Integer y, Integer w, Integer h) DCClipper.new(%(arg-type)DC% dc, Rect rect)

Constructor: sets the clipping region for the given device context to the
specified rectangle.

destructor()

Destructor: destroys the clipping region set in the constructor.

[This page automatically generated from the Textile source at 2023-06-09 00:45:36 +0000]